MOUNTPOINT(8)

NOM
mountpoint - Voir si un répertoire est un point de montage

SYNOPSIS
/bin/mountpoint [-q] [-d] /chemin/vers/répertoire
/bin/mountpoint -x /dev/device

DESCRIPTION
mountpoint vérifie si le répertoire est un point de montage.

OPTIONS

-q  Mode silencieux - ne rien afficher.

-d  Afficher les numéros majeur et mineur de périphérique du système de fichiers sur la sortie standard.

-x  Afficher les numéros majeur et mineur de périphérique du périphérique de bloc sur la sortie standard.

CODE DE RETOUR
Zéro si le répertoire est un point de montage, une valeur non nulle autrement.

NOTES
Les liens symboliques ne sont pas suivis, excepté lorsque l'option -x est fournie. Pour forcer à suivre les liens symboliques, ajoutez une barre oblique de fin au chemin du répertoire.

Le nom de la commande est trompeuse lorsque l'option -x est utilisée, mais l'option est utile pour voir si un répertoire et un périphérique correspondent, et il n'y a pas d'autre commande qui affiche l'information facilement.

AUTEUR
Miquel van Smoorenburg, miquels@cistron.nl

VOIR AUSSI
stat(1)

TRADUCTION

Ce document est une traduction réalisée par Alain Portal <aportal AT univ-montp2 DOT fr> le 26 juin 2006 et révisée le 19 novembre 2007.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. La version anglaise la plus à jour de ce document est toujours consultable via la commande : « LANG=C man 1 mountpoint ». N'hésitez pas à signaler à l'auteur ou au traducteur, selon le cas, toute erreur dans cette page de manuel.